cURL
curl --request GET \
--url https://public-api.lonescale.com/lists/{listId}/items \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.lonescale.com/lists/{listId}/items"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.lonescale.com/lists/{listId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"linkedin_url": "<string>",
"company_name": "<string>",
"current_position": "<string>",
"domain": "<string>",
"location": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"contact_id": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"hasNextPage": true,
"total": 123
}{
"message": "Invalid API Key",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "List not found",
"error": "Not Found",
"statusCode": 404
}Lists
Get list items
Retrieve paginated items from a specific list.
GET
/
lists
/
{listId}
/
items
cURL
Authorizations
Provide your API key in the x-api-key header.
Path Parameters
The ID of the list.
Query Parameters
Page number (50 items per page, starts at 0).
⌘I

